<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <header>
        <nav>
            {% if user.is_authenticated %}
            Hello, {{ user.username }}
            <ul>
                <li>
                    <a href="{%url 'logout' %}">logout!</a>
                </li>
            </ul>
            {% else %}
            <ul>
                <li>
                    <a href="{% url 'login' %}"> Login!</a>
                </li>
                <li>
                    <a href="{% url 'signup' %}">Sign Up!</a>
                </li>
            </ul>
            {% endif %}
            {% if user.is_authenticated %}
            <ul>
                <li>
                    <a href="{% url 'home' %}">Home</a>
                </li>
                <li>
                    <a href="{% url 'categories' %}">Categories</a>
                </li>
                <li>
                    <a href="{% url 'accounts' %}">Accounts</a>
                </li>
            </ul>
            {% endif %}
        </nav>
    </header>
    <main>
        {% if user.is_authenticated %}
        <table>
            <thead>
                <tr>
                    <th>
                        Name
                    </th>
                    <th>
                        Number
                    </th>
                    <th>
                        Number of receipts
                    </th>
                </tr>
            </thead>
            <tbody>
                {% for name in account_list %}
                <tr>
                    <td>
                        {{name.name}}
                    </td>
                    <td>
                        {{name.number}}
                    </td>
                    <td>
                        {{name.receipt.all|length}}
                    </td>
                </tr>
                {% endfor %}
            </tbody>
        </table>
        {% endif %}
    </main>
</body>
</html>
